//Радиально раскидывает выделенные элементы от ЦЕНТРА АРТБОРДА на случайное расстояние

//шаг перебора выделеных элементов
 var min = 1;
 var max = 3;

//коэффициент смещения элемента
function getScale(){
	return Math.sqrt(Math.random());
}

var centerX;
var centerY;

function scaleXY(myPath, scale){
	myBounds = myPath.geometricBounds;
	pathX = myBounds[0] + (myBounds[2] - myBounds[0]) / 2;
	pathY = myBounds[1] + (myBounds[3] - myBounds[1]) / 2;

	return [(pathX - centerX) * scale, (pathY - centerY)* scale];
}

artBoardIndex = app.activeDocument.artboards.getActiveArtboardIndex();
artBoardRect = app.activeDocument.artboards[artBoardIndex].artboardRect;
centerX = artBoardRect[0] + (artBoardRect[2] - artBoardRect[0])/2;
centerY = artBoardRect[1] + (artBoardRect[3] - artBoardRect[1])/2;

for (i = 0; i < app.activeDocument.selection.length; i += Math.round(Math.random() * (max - min) + min))
{
	delta = scaleXY(app.activeDocument.selection[i], getScale());
	app.activeDocument.selection[i].translate(delta[0], delta[1]);
}
